## org.exist.http.webdav
Class WebDAVUtil

    java.lang.Object
      org.exist.http.webdav.WebDAVUtil

public class WebDAVUtil
extends java.lang.Object

Field Summary
`static java.lang.String` `PARSE_ERR`
`static java.lang.String` `UNEXPECTED_ELEMENT_ERR`
`static java.lang.String` `XML_CONFIGURATION_ERR`

Constructor Summary
`WebDAVUtil()`

Method Summary
`static org.w3c.dom.Node` `firstElementNode(org.w3c.dom.Node node)`
`static java.lang.String` `getElementContent(org.w3c.dom.Node node)`
`static java.lang.String` `getRequestContent(javax.servlet.http.HttpServletRequest request)`
`static org.w3c.dom.Document` `parseRequestContent(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.xml.parsers.DocumentBuilder docBuilder)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARSE_ERR

    public static final java.lang.String PARSE_ERR

See Also:
  Constant Field Values

### XML_CONFIGURATION_ERR

    public static final java.lang.String XML_CONFIGURATION_ERR

See Also:
  Constant Field Values

### UNEXPECTED_ELEMENT_ERR

    public static final java.lang.String UNEXPECTED_ELEMENT_ERR

See Also:
  Constant Field Values

Constructor Detail

### WebDAVUtil

    public WebDAVUtil()

Method Detail

### parseRequestContent

    public static org.w3c.dom.Document parseRequestContent(javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response,
                                                           javax.xml.parsers.DocumentBuilder docBuilder)
                                                    throws javax.servlet.ServletException,
                                                           java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getRequestContent

    public static java.lang.String getRequestContent(javax.servlet.http.HttpServletRequest request)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### firstElementNode

    public static org.w3c.dom.Node firstElementNode(org.w3c.dom.Node node)

### getElementContent

    public static java.lang.String getElementContent(org.w3c.dom.Node node)

Copyright (C) Wolfgang Meier. All rights reserved.